> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# urlencoding

## "urlencoding" MDO List

Implemented by the <see cref="T:SuperOffice.CRM.Lists.UrlEncodingProvider">UrlEncodingProvider</see> class.
The name of the MDO list is 'urlencoding'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/urlencoding
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("urlencoding", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name    | StyleHint | ExtraInfo |
| -- | ------- | --------- | --------- |
| 1  | None    |           | None      |
| 2  | ANSI    |           | ANSI      |
| 3  | Unicode |           | Unicode   |

## Related MDO Lists

* "urlencodingheadings"
* "urlencodingheadingswithallitem"
* "urlencodingheadingswithallitemwithnoselection"
* "urlencodingheadingswithnoselection"
* "urlencodingwithallitem"
* "urlencodingwithallitemwithnoselection"
* "urlencodingwithnoselection"


## Related topics

- [Enum UrlEncoding](/en/automation/crmscript/reference/CRMScript.NetServer.UrlEncoding.md)
- [Enum values for UrlEncoding](/en/database/tables/enums/urlencoding.md)
- [SuperOffice.WebApi.Data.UrlEncoding](/en/api/reference/webapi/SuperOffice.WebApi.Data.UrlEncoding.md)
- [SuperOffice.WebApi.Data.WebPanelEntity](/en/api/reference/webapi/SuperOffice.WebApi.Data.WebPanelEntity.md)
- [SuperOffice.WebApi.Data.TaskMenu](/en/api/reference/webapi/SuperOffice.WebApi.Data.TaskMenu.md)
- [NSWebPanelEntity](/en/automation/crmscript/reference/CRMScript.NetServer.NSWebPanelEntity.md)
